curl https://router.requesty.ai/v1/embeddings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY" \
-d '{
"model": "openai/text-embedding-3-small",
"input": "Requesty is a unified LLM gateway."
}'
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
response = client.embeddings.create(
model="openai/text-embedding-3-small",
input="Requesty is a unified LLM gateway.",
)
print(response.data[0].embedding[:5])
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const response = await client.embeddings.create({
model: "openai/text-embedding-3-small",
input: "Requesty is a unified LLM gateway.",
});
console.log(response.data[0].embedding.slice(0, 5));
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [0.0023, -0.0091, 0.0153, -0.0028, 0.0074]
}
],
"model": "openai/text-embedding-3-small",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}
Create Embedding
Create vector embeddings for text input using embedding models.
POST
/
v1
/
embeddings
curl https://router.requesty.ai/v1/embeddings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY" \
-d '{
"model": "openai/text-embedding-3-small",
"input": "Requesty is a unified LLM gateway."
}'
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
response = client.embeddings.create(
model="openai/text-embedding-3-small",
input="Requesty is a unified LLM gateway.",
)
print(response.data[0].embedding[:5])
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const response = await client.embeddings.create({
model: "openai/text-embedding-3-small",
input: "Requesty is a unified LLM gateway.",
});
console.log(response.data[0].embedding.slice(0, 5));
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [0.0023, -0.0091, 0.0153, -0.0028, 0.0074]
}
],
"model": "openai/text-embedding-3-small",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}
curl https://router.requesty.ai/v1/embeddings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY" \
-d '{
"model": "openai/text-embedding-3-small",
"input": "Requesty is a unified LLM gateway."
}'
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
response = client.embeddings.create(
model="openai/text-embedding-3-small",
input="Requesty is a unified LLM gateway.",
)
print(response.data[0].embedding[:5])
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const response = await client.embeddings.create({
model: "openai/text-embedding-3-small",
input: "Requesty is a unified LLM gateway.",
});
console.log(response.data[0].embedding.slice(0, 5));
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [0.0023, -0.0091, 0.0153, -0.0028, 0.0074]
}
],
"model": "openai/text-embedding-3-small",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}
Supported Models
Browse the full catalog on the Embedding model library.| Model | Dimensions | Best for |
|---|---|---|
openai/text-embedding-3-small | 1536 | Cost-efficient, general purpose |
openai/text-embedding-3-large | 3072 | Higher accuracy, multilingual |
openai/text-embedding-ada-002 | 1536 | Legacy compatibility |
Authorizations
API key for authentication
Body
application/json
Input text to embed, encoded as a string, array of strings, array of tokens, or array of token arrays
The model name to use for embedding generation
Example:
"openai/text-embedding-3-small"
The number of dimensions the resulting output embeddings should have
The format to return the embeddings in. Can be either float or base64.
Available options:
float, base64 A unique identifier representing your end-user.
Last modified on May 26, 2026
Was this page helpful?